%define rel	1

Summary:        A set of default configuration for LXDE
Name:           lxde-common
Version:        0.99.3
Release:        %mkrel %{rel}
BuildArch:      noarch
License:        GPLv2+
Group:          Graphical desktop/Other
Source0:        https://github.com/lxde/%{name}/archive/refs/tags/%{version}.tar.gz
Source1:        hide-desktop-file.sh
Patch102:       %{name}-0.5.5-add-mcc-to-panel.patch
Patch103:       %{name}-0.99.3-mga-lxpanel-customization.patch
Patch106:       %{name}-0.5.5-default-theme.patch
Patch107:       %{name}-0.99.2-mga-copy-pcmanfm-conf-file.patch
# This patch adds mageia specific .desktop files to desktop
# and should fix mga#5941
Patch108:       %{name}-0.5.6-add-mageia-desktop-icons.patch
Patch109:       %{name}-0.5.6-mga-add-lxpanel-config.patch
Patch110:       %{name}-0.99.1-mga-make-lxde-logout-visible-for-lxpanel.patch
Patch111:       %{name}-0.5.6-mga-correct-pcmanfm-conf-path.patch
Patch114:       %{name}-0.99.0-mga-lxde-screenlock-visibility.patch
Patch115:       %{name}-0.99.2-mga-set-default-wallpaper.patch
Patch116:       %{name}-0.99.0-mga-correct-autostart-script.patch
Patch117:       %{name}-0.99.0-mga-kill-remaining-processes-on-logout.patch
Patch118:       %{name}-0.99.2-mga-use-desktop-common-data-menu.patch
Patch120:       %{name}-0.99.2-mga-add-script-hiding-desktop-files.patch
Patch122:       %{name}-0.99.0-mga-force-reloading-kb-conf.patch
Patch123:       %{name}-0.99.2-mga-gtk3-lxde-settings.patch
Patch124:       %{name}-0.99.2-mga-config-multimedia-keys.patch
URL:            https://www.lxde.org/
BuildRequires:  xsltproc
BuildRequires:  docbook-style-xsl
BuildRequires:  intltool
Requires:       openbox
Requires:       lxpanel
Requires:       lxsession >= 0.4.1
Requires:       pcmanfm >= 0.9.8
Requires:       lxterminal
Requires:       lxde-icon-theme
Requires:       mageia-lxde-config >= 0.5
Requires:       mate-notification-daemon
Requires:       gnome-screenshot
Requires:       libnotify
# Use register.desktop from desktop-common-data package (mga#12667)
Requires:       desktop-common-data
# Requirement for hide-desktop-file.sh
Requires:       desktop-file-utils
Recommends:     xscreensaver

Requires(post): mageia-theme
Conflicts:	desktop-common-data < 1:3.10-2

%description
This package provides a set of default configuration for LXDE.

%prep
%setup -q
%patch -P 102 -p1
%patch -P 103 -p1
%patch -P 106 -p1
%patch -P 107 -p1
%patch -P 108 -p1
%patch -P 109 -p1
%patch -P 110 -p1
%patch -P 111 -p1
%patch -P 114 -p1
%patch -P 115 -p1
%patch -P 116 -p1
%patch -P 117 -p1
%patch -P 118 -p1
%patch -P 120 -p1
%patch -P 122 -p1
%patch -P 123 -p1
%patch -P 124 -p1

%build
./autogen.sh
%configure --enable-man
%make_build

%install
%make_install

# shipped with %{_vendor}-lxde-config
rm -f %{buildroot}%{_sysconfdir}/xdg/lxsession/LXDE/desktop.conf

# pcmanfm package brings the only pcmanfm.conf that we should use
# patch correct-pcmanfm-conf-path make startlxde use it
rm %{buildroot}%{_sysconfdir}/xdg/pcmanfm/LXDE/pcmanfm.conf

# add a script to hide a desktop file because of bug mga#14059
install -m755 %{SOURCE1} %{buildroot}%{_bindir}
ln -s hide-desktop-file.sh %{buildroot}%{_bindir}/show-desktop-file.sh

%posttrans
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/04LXDE.desktop ]; then
	rm -rf %{_datadir}/xsessions/04LXDE.desktop
fi

%files
%config %{_sysconfdir}/xdg/lxsession/LXDE/autostart
%{_sysconfdir}/xdg/*
%{_bindir}/*
%{_datadir}/applications/lxde-logout.desktop
%{_datadir}/applications/lxde-screenlock.desktop
%{_datadir}/lxde
%{_datadir}/xsessions/LXDE.desktop
%{_mandir}/man1/*


%changelog
* Mon Mar 24 2025 ns80 <ns80> 0.99.3-1.mga10
+ Revision: 2169421
- new version 0.99.3

* Tue Sep 10 2024 ns80 <ns80> 0.99.2-3.git20240816.1.mga10
+ Revision: 2094923
- update to latest git snapshot

* Wed Aug 30 2023 ns80 <ns80> 0.99.2-3.git20230824.1.mga10
+ Revision: 1981741
- update to latest git snapshot

* Wed Jan 18 2023 ns80 <ns80> 0.99.2-3.git20190224.11.mga9
+ Revision: 1934268
- improve some keyboard shortcuts

* Fri Nov 18 2022 ns80 <ns80> 0.99.2-3.git20190224.10.mga9
+ Revision: 1908649
- add gnome-screenshot requirement

* Sun Nov 13 2022 wally <wally> 0.99.2-3.git20190224.9.mga9
+ Revision: 1906778
- replace notification-daemon with mate-notification-daemon (mga#31103)

* Mon Oct 03 2022 ns80 <ns80> 0.99.2-3.git20190224.8.mga9
+ Revision: 1894399
- fix patch config-multimedia-keys (mga#30916)

* Fri Jun 10 2022 ns80 <ns80> 0.99.2-3.git20190224.7.mga9
+ Revision: 1863847
- improve patch config-multimedia-keys

* Wed Jun 08 2022 ns80 <ns80> 0.99.2-3.git20190224.6.mga9
+ Revision: 1863533
- improve patch config-multimedia-keys

* Tue Jun 07 2022 ns80 <ns80> 0.99.2-3.git20190224.5.mga9
+ Revision: 1863337
- add patch config-multimedia-keys

* Wed Mar 23 2022 umeabot <umeabot> 0.99.2-3.git20190224.4.mga9
+ Revision: 1821173
- Mageia 9 Mass Rebuild

* Tue Mar 08 2022 ns80 <ns80> 0.99.2-3.git20190224.3.mga9
+ Revision: 1789838
- Fix settings for LXDE built with GTK+3
+ ovitters <ovitters>
- fix usage of  in posttrans

* Sat Feb 15 2020 umeabot <umeabot> 0.99.2-3.git20190224.2.mga8
+ Revision: 1523335
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Mar 04 2019 ns80 <ns80> 0.99.2-3.git20190224.1.mga7
+ Revision: 1371301
- update to latest git snapshot

* Tue Sep 18 2018 umeabot <umeabot> 0.99.2-2.mga7
+ Revision: 1262209
- Mageia 7 Mass Rebuild

* Tue Nov 22 2016 ns80 <ns80> 0.99.2-1.mga6
+ Revision: 1068700
- new version 0.99.2:
  * rediff some patches
  * remove a patch that is now in upstream

* Fri Nov 04 2016 ns80 <ns80> 0.99.1-13.mga6
+ Revision: 1065265
- add audio keys in the configuration of the volume plugin

* Fri Oct 28 2016 ns80 <ns80> 0.99.1-12.mga6
+ Revision: 1063809
- finish transition from volumealsa plugin to volume plugin

* Tue Oct 18 2016 ns80 <ns80> 0.99.1-11.mga6
+ Revision: 1061534
- the plugin volumealsa is replaced by volume

* Thu Jul 21 2016 ns80 <ns80> 0.99.1-10.mga6
+ Revision: 1042976
- correct source paths in patch add-lxpanel-config

* Thu Jul 21 2016 ns80 <ns80> 0.99.1-9.mga6
+ Revision: 1042972
- comment patch migration-from-previous-versions

* Sun Jun 19 2016 ns80 <ns80> 0.99.1-8.mga6
+ Revision: 1036842
- make mageia logo detection safer

* Tue Jun 07 2016 ns80 <ns80> 0.99.1-7.mga6
+ Revision: 1020553
- Correct patch migration-from-previous-versions to launch once

* Tue Jun 07 2016 ns80 <ns80> 0.99.1-6.mga6
+ Revision: 1020530
- Add font size check to patch migration-from-previous-versions

* Tue May 31 2016 ns80 <ns80> 0.99.1-5.mga6
+ Revision: 1019583
- Correct patch migration-from-previous-versions so that a user can have no trash on the desktop

* Mon May 30 2016 ns80 <ns80> 0.99.1-4.mga6
+ Revision: 1019381
- Correct patch add-mageia-desktop-icons by removing installation of an icon that does not exist anymore
- Add patch migration-from-previous-versions that automates the migration of users' configuration

* Sun May 29 2016 ns80 <ns80> 0.99.1-3.mga6
+ Revision: 1019346
- use new mageia-menu.svg icon for LXDE menu

* Mon Feb 22 2016 ns80 <ns80> 0.99.1-2.mga6
+ Revision: 975987
- remove lxmenu-data requirement as the solution for mga#16753 also solves mga#16282

* Sun Feb 21 2016 ns80 <ns80> 0.99.1-1.mga6
+ Revision: 975343
- new version 0.99.1
- rediff patch make-lxde-logout-visible-for-lxpanel

* Tue Feb 09 2016 ns80 <ns80> 0.99.0-14.mga6
+ Revision: 952800
- Add patch force-reloading-kb-conf (mga#14622)

* Wed Jan 06 2016 ns80 <ns80> 0.99.0-13.mga6
+ Revision: 920031
- Add patch force-creation-of-directory-for-user-desktop-files (mga#17456)

* Mon Nov 16 2015 ns80 <ns80> 0.99.0-12.mga6
+ Revision: 903508
- remove patch force-menu-cache-regeneration-on-login as upstream provides a
  patch for menu-cache solving bug mga#15871

* Sat Sep 26 2015 wally <wally> 0.99.0-11.mga6
+ Revision: 884003
- conflict with old desktop-common-data with fndSession
- use upstream provided xsession .desktop file

* Fri Jul 03 2015 ns80 <ns80> 0.99.0-10.mga6
+ Revision: 849727
- Add lxmenu-data requirement to solve bug mga#16282

* Fri May 08 2015 ns80 <ns80> 0.99.0-9.mga5
+ Revision: 821439
- Provide a solution for bug mga#15871 with patch force-menu-cache-regeneration-on-login

* Mon May 04 2015 ns80 <ns80> 0.99.0-8.mga5
+ Revision: 821215
- Update patch kill-remaining-processes-on-logout to offer a more robust
  solution to bug mga#8209

* Fri Apr 24 2015 ns80 <ns80> 0.99.0-7.mga5
+ Revision: 820689
- Drop patches hide-desktop-file and kill-pulseaudio-on-logout
- Add patch kill-remaining-processes-on-logout to try to correct bug mga#8209

* Thu Mar 05 2015 ns80 <ns80> 0.99.0-6.mga5
+ Revision: 817761
- Remove lxmenu-data requirement as menu-cache was patched to work with applications.menu
- Remove mylxpanel.sh to launch lxpanel without 'setxkbmap -option' as it causes more problems than it solves (mga#14622)

* Fri Jan 30 2015 akien <akien> 0.99.0-5.mga5
+ Revision: 812767
- Merge the three autostart patches into one (ns80)
- Add a mylxpanel.sh script to make sure lxpanel is launched when setxkbmap -option is finished (mga#14622, ns80)

* Tue Jan 27 2015 akien <akien> 0.99.0-4.mga5
+ Revision: 812434
- Use patches instead of install time file tweaks (ns80)
- Add a patch to (partly) fix the autologin problems (mga#14622, ns80)

* Thu Dec 04 2014 alexl <alexl> 0.99.0-3.mga5
+ Revision: 801511
- correct lxde-screenlock visibility on certain conditions (mga#14636)

* Tue Nov 11 2014 alexl <alexl> 0.99.0-2.mga5
+ Revision: 796486
- minimal size for xkb plugin

* Tue Nov 04 2014 alexl <alexl> 0.99.0-1.mga5
+ Revision: 795480
- add intltool buildrequires
- fix installation for lxde-logout.desktop
- version 0.99.0 (mga#14420)
- add copy-pcmanfm-conf-file.patch
- rediff make-lxde-logout-visible-for-lxpanel.patch
- add lxmenu-data requirement

* Thu Oct 23 2014 alexl <alexl> 0.5.6-5.mga5
+ Revision: 792797
- rename home.desktop to org.lxde.home.desktop
- rename trash.desktop to org.lxde.trash.desktop
- update hide-desktop-file.sh and add desktop-file-utils to requires (mga#14059)
- add script to hide/show dolphin desktop file (mga#14059)
- fix for mga#4391 is not needed now
- add lxpanel config
- correct pcmanfm conf path
- kill pulseaudio when exiting LXDE because lxpanel cannot be launched when pulseaudio is already running with another user
- make lxde logout visible for lxpanel

* Wed Oct 15 2014 umeabot <umeabot> 0.5.6-4.mga5
+ Revision: 750966
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.6-3.mga5
+ Revision: 682066
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Sep 05 2014 fwang <fwang> 0.5.6-2.mga5
+ Revision: 672305
- build noarch package now

* Fri Sep 05 2014 fwang <fwang> 0.5.6-1.mga5
+ Revision: 672285
- update file list
- 0.5.6

* Fri Aug 29 2014 alexl <alexl> 0.5.5-21.mga5
+ Revision: 669304
- increased lxpanel

* Sun Feb 09 2014 tarakbumba <tarakbumba> 0.5.5-20.mga5
+ Revision: 587706
-Rediff add-mageia-desktop-icons.patch so no longer register.desktop needed
-Require desktop-common-data to get only register.desktop (mga#12667)

* Mon Dec 30 2013 tarakbumba <tarakbumba> 0.5.5-19.mga4
+ Revision: 563369
- Fix again missing drakconf icon (mga#11178)
- Add xkb plugin to default panel layout (mga#9738)
- Rediff patches to be used with %%apply_patches macro (suggested by specfile policy)
- Cleanup specfile and remove obsolete legacy Mandriva conflicts

* Tue Dec 24 2013 tarakbumba <tarakbumba> 0.5.5-18.mga4
+ Revision: 560271
- Rediff desktop-icons.patch (mga#5941)

* Thu Dec 12 2013 malo <malo> 0.5.5-17.mga4
+ Revision: 556457
- fix notification daemon use (mga#11227) (Daniel Napora)

* Sat Oct 19 2013 umeabot <umeabot> 0.5.5-16.mga4
+ Revision: 533785
- Mageia 4 Mass Rebuild

* Fri Sep 06 2013 tmb <tmb> 0.5.5-15.mga4
+ Revision: 475415
- fix missing drakconf icon (mga #11178)
+ zezinho <zezinho>
- fixed patch that add mageia icons at first login by tarekbumba

* Sun Apr 21 2013 zezinho <zezinho> 0.5.5-13.mga3
+ Revision: 410679
- patch to add mageia desktop icons at first login

* Sat Jan 12 2013 umeabot <umeabot> 0.5.5-12.mga3
+ Revision: 359152
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 zezinho <zezinho> 0.5.5-11.mga3
+ Revision: 320014
- use pcmanfm own conf file #6668

* Thu Jun 14 2012 obgr_seneca <obgr_seneca> 0.5.5-10.mga3
+ Revision: 260565
- Layout changes in lxpanel standard config

* Sat May 19 2012 obgr_seneca <obgr_seneca> 0.5.5-9.mga2
+ Revision: 235914
- really added volme control to lxpanel (Bug #5935)

* Sun Mar 18 2012 obgr_seneca <obgr_seneca> 0.5.5-8.mga2
+ Revision: 223805
- Do not build noarch or the notification-deamon is not found on i586

* Wed Mar 07 2012 obgr_seneca <obgr_seneca> 0.5.5-7.mga2
+ Revision: 220979
- reverted browser to firefox on ennael's request

* Tue Mar 06 2012 zezinho <zezinho> 0.5.5-6.mga2
+ Revision: 220541
- disable xscreensaver till it gets fixed #4391

* Sat Mar 03 2012 obgr_seneca <obgr_seneca> 0.5.5-5.mga2
+ Revision: 217050
- changed customization of lxpanel

* Mon Feb 20 2012 zezinho <zezinho> 0.5.5-4.mga2
+ Revision: 211245
- workaround bug #4391 until xscreensaver is fixed

* Sat Dec 24 2011 obgr_seneca <obgr_seneca> 0.5.5-3.mga2
+ Revision: 187322
- let the notification daemon start on lxde start
+ fwang <fwang>
- 0.5.5 final
  default to oxygen for openbox
  correct install pcman conf location

* Sun May 01 2011 ahmad <ahmad> 0.5.5-1.git20100721.1.mga1
+ Revision: 94057
+ rebuild (emptylog)

* Sun May 01 2011 ahmad <ahmad> 0.5.5-0.git20110721.6.mga1
+ Revision: 94046
- Fix the drakconf .desktop name (mga#1081)

* Sat Mar 26 2011 ahmad <ahmad> 0.5.5-0.git20110721.5.mga1
+ Revision: 77712
- try again to fix the pcmanfm config file location (maybe I'll get it right
  this time), adding a patch from upstream git
- bump pcmanfm version requires
- drop post/postun scriptles, not needed as they're already handled by rpm
  filetriggers

* Sat Feb 19 2011 ahmad <ahmad> 0.5.5-0.git20110721.3.mga1
+ Revision: 54354
- move LXDE.conf to %%{_datadir}/lxde/pcmanfm/LXDE.conf, this is where startlxde
  expects it to be

* Fri Feb 04 2011 ahmad <ahmad> 0.5.5-0.git20110721.2.mga1
+ Revision: 46986
- we use @prefix@/share/icons/mageia.png now
- default background is going to (hopefully) be @prefix@/share/backgrounds/default.jpg
- drop smproxy requires, old
- change requires to mageia-*
- imported package lxde-common


* Sat Jul 24 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.5-0.git20110721.1mdv2011.0
+ Revision: 557358
- add missing BR
- update to 5.5 latest git to make it work with new pcmanfm2, there's no upstream
  tarball yet so go with latest git (shouldn't break stuff)
- rediff patches 101,102,103
- drop patch104, fixed upstream
- add patch105 to fix wrong file name in make file
- disable smproxy requires
- require pcmanfm >= 0.9.7
- compile with --enable-man to create openbox-lxde man page

* Thu Jun 10 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.0-5mdv2010.1
+ Revision: 547838
- install lxde-logout.desktop as it provides the logout icon on lxpanel

* Wed Jun 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.0-4mdv2010.1
+ Revision: 547321
- make sure autostart file gets updated to avoid upgrade problems, should
  hopefully fix (mdv #59624)

* Thu Jan 28 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.0-3mdv2010.1
+ Revision: 497489
- remove setxkbmap hack. The kb layout switcher works correctly with GDM;
  we shouldn't provide a hack for an incompatible dm (KDM)

* Tue Jan 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.0-2mdv2010.1
+ Revision: 496746
- add patch to make the kb layout switcher work properly
  (will be reported upstream to see about fixing it properly)
- remove requires on lxde-settings-daemon it's been
  merged in lxsession upstream some time ago
- add patch to fix startlxde script (bug 57251)
  and it's mentioned on upstream ML

* Fri Dec 11 2009 Funda Wang <fwang@mandriva.org> 0.5.0-1mdv2010.1
+ Revision: 476250
- build noarch
- use new config file location
- new version 0.5.0

* Fri Oct 02 2009 Antoine Ginies <aginies@mandriva.com> 0.4.2-3mdv2010.0
+ Revision: 452502
- xscreensaver is now a suggests to free some more space on dual CD

* Sun Sep 27 2009 Funda Wang <fwang@mandriva.org> 0.4.2-2mdv2010.0
+ Revision: 449694
- use mandriva star

* Mon Jul 06 2009 Funda Wang <fwang@mandriva.org> 0.4.2-1mdv2010.0
+ Revision: 392827
- fix file list
- new version 0.4.2

* Tue May 26 2009 Funda Wang <fwang@mandriva.org> 0.4.1-2mdv2010.0
+ Revision: 379766
- requires lxsession as there is only one available alternatives

* Thu May 07 2009 Funda Wang <fwang@mandriva.org> 0.4.1-1mdv2010.0
+ Revision: 372816
- New version 0.4.1

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 0.4-2mdv2010.0
+ Revision: 369384
- Requires lxde-settings-daemon

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 0.4-1mdv2010.0
+ Revision: 369351
- New version 0.4

* Mon Apr 06 2009 Funda Wang <fwang@mandriva.org> 0.3.2.1-17mdv2009.1
+ Revision: 364429
- promo lxterminal over xterm

* Tue Mar 10 2009 Frederic Crozat <fcrozat@mandriva.com> 0.3.2.1-16mdv2009.1
+ Revision: 353443
- Fix typo in patch0 and remove hacks in post script for background

* Mon Mar 09 2009 Frederic Crozat <fcrozat@mandriva.com> 0.3.2.1-15mdv2009.1
+ Revision: 353111
- Bump weight in wmsession.d
- Update patch0, fix mdv bug #44061

* Tue Jan 20 2009 Anne Nicolas <anne.nicolas@mandriva.com> 0.3.2.1-14mdv2009.1
+ Revision: 331830
- decrease order to avoid openbox being launched instead of LXDE by default

* Tue Nov 04 2008 Funda Wang <fwang@mandriva.org> 0.3.2.1-13mdv2009.1
+ Revision: 299957
- detect wallpaper rather than harcode file type

* Mon Sep 22 2008 Funda Wang <fwang@mandriva.org> 0.3.2.1-12mdv2009.0
+ Revision: 286429
- fix firefox button

* Thu Jul 10 2008 Pixel <pixel@mandriva.com> 0.3.2.1-11mdv2009.0
+ Revision: 233475
- remove filetrigger for gtk icon cache since %%update_icon_cache is better
  suited for a theme which comes from only one package. and %%update_icon_cache
  has been fixed

* Sun Jun 29 2008 Funda Wang <fwang@mandriva.org> 0.3.2.1-10mdv2009.0
+ Revision: 230024
- add rpm file trigger

* Sun Jun 29 2008 Funda Wang <fwang@mandriva.org> 0.3.2.1-9mdv2009.0
+ Revision: 229933
- Use lxde native terminal: lxterminal

* Tue Jun 10 2008 Funda Wang <fwang@mandriva.org> 0.3.2.1-8mdv2009.0
+ Revision: 217332
- requires virtual package lxde-session-manager

* Mon Jun 09 2008 Funda Wang <fwang@mandriva.org> 0.3.2.1-7mdv2009.0
+ Revision: 217107
- prefer lxsession-lite

* Sat May 10 2008 Funda Wang <fwang@mandriva.org> 0.3.2.1-6mdv2009.0
+ Revision: 205379
- introduce mandriva-lxde-config

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 0.3.2.1-5mdv2009.0
+ Revision: 201125
- add panel customization

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 0.3.2.1-4mdv2009.0
+ Revision: 200982
- Add mandriva customization patches
- lower BR, we only need glib and x11, not gtk

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 0.3.2.1-3mdv2009.0
+ Revision: 200917
- requries lxsession

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 0.3.2.1-2mdv2009.0
+ Revision: 200895
- Requires specific icon theme
- import source and spec
- Created package structure for lxde-common.

